<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Main extends CI_Controller {

	function __construct()
	{
		parent::__construct();
		$this->load->library('form_validation');
		$this->load->model('Mainmodel');
	}
	
	function index()
	{
	
		$data['checkboxlist1'] = $this->Mainmodel->get_Checklist1();
		$data['checkboxlist2'] = $this->Mainmodel->get_Checklist2();
		//print_r($data);
        $this->load->view('index',$data);
		
	}

	function save_form_data()
	{
		$this->db->trans_begin();
		$post = $this->input->post();
		$this->form_validation->set_rules('checkbox_value1[]', 'First checklist', 'required');
		$this->form_validation->set_rules('checkbox_value2[]', 'Second checklist', 'required');
		if ($this->form_validation->run() == FALSE) {
			
			$this->session->set_flashdata('error',validation_errors());

			redirect(base_url());
		}
		else
		{
			$data_array = array(
			'first_name' => strtoupper($post['first_name']), 
			'middle_name' => strtoupper($post['middle_name']), 
			'surname' => strtoupper($post['surname']), 
			'batch_name' => strtoupper($post['batch_name']), 
			'address' => strtoupper($post['address']), 
			'current_organization' => strtoupper($post['current_organization']), 
			'designation' => strtoupper($post['designation']), 
			'total_experience' => strtoupper($post['total_experience']), 
			'mob_no' => strtoupper($post['mob_no']), 
			'alternate_mob_no' => strtoupper($post['alternate_mob_no']), 
			'email_id' => $post['email_id'], 
			'checkbox_value1' => implode(",", $post['checkbox_value1']),
			'checkbox_value1_comment' => strtoupper($post['checkbox_value1_comment']), 
			'checkbox_value2' => implode(",", $post['checkbox_value2']),
			'checkbox_value2_comment' => strtoupper($post['checkbox_value2_comment']), 
			'declaration_check' => strtoupper($post['declaration_check']), 
		);
		$alumni_insert_id = $this->Mainmodel->insert_data($data_array);
		


		if($this->db->trans_status() === FALSE) {
			$this->db->trans_rollback();
			$this->session->set_flashdata('error',"Something went wrong, Please try again");
			redirect(base_url());
		}
		else {
			$this->db->trans_commit();


			$this->session->set_flashdata('success','Data Updated Successfully!!!');
			redirect(base_url());

		}
		}


		 
		
	}

	
	// ****************ADMIN OPERATIONS******************

	function login()
	{
		if($this->session->userdata('user_id')!="")
		{
			redirect(base_url()."alumni_list");
		}
		else
		{
			$this->load->view('login');
		}
		
	}

	function verify_user()
	{
		$post = $this->input->post();
		$this->form_validation->set_rules('user_email', 'Email', 'required');
		$this->form_validation->set_rules('user_password', 'password', 'required');

		if ($this->form_validation->run() == FALSE) {
			
			$this->session->set_flashdata('error',validation_errors());

			redirect(base_url()."login");
		}
		else
		{
			$email_id = $post['user_email'];
			$password = md5($post['user_password']);

			$login_data = $this->Mainmodel->get_users($email_id,$password);
			//print_r($login_data);die;
				if(!empty($login_data))
				{
					$this->session->set_userdata(array(
                    'user_id' => $login_data->user_id,
                    'user_name' => $login_data->user_name,
                    'user_email' => $login_data->user_email,
                ));
					redirect(base_url()."alumni_list");
				}
				else
				{
					$this->session->set_flashdata('error',"Email or password is incorrect Please try again");
					redirect(base_url()."login");
				}

		}

	}


	function alumni_list()
	{
		
		$data['alumni_list'] = $this->Mainmodel->get_alumini_list();
		$data['file_name'] = 'alumni_list';
		$this->load->view('admin_layout/master',$data);
	}

	function view_data($alumni_id)
	{
		$data['checkboxlist1'] = $this->Mainmodel->get_Checklist1();
		$data['checkboxlist2'] = $this->Mainmodel->get_Checklist2();
		$data['view_data'] = $this->Mainmodel->get_alumini_details($alumni_id);

		$this->load->view('view_alumni_form',$data);
	}
	
	function logout() {
		$user_data = $this->session->all_userdata();
		foreach ($user_data as $key => $value) {
			if ($key != 'user_id' && $key != 'user_name' && $key != 'user_email') {
				$this->session->unset_userdata($key);
			}
		}
		$this->session->sess_destroy();
		$this->session->set_flashdata('error',"Logout Successfully");
		redirect(base_url()."login");
    }


    function print_data($alumni_id)
	{
		$data['checkboxlist1'] = $this->Mainmodel->get_Checklist1();
		$data['checkboxlist2'] = $this->Mainmodel->get_Checklist2();
		$data['view_data'] = $this->Mainmodel->get_alumini_details($alumni_id);

		$this->load->view('print_alumni_form',$data);
	}

}

